Backport of:

From 483d7808e133b317b6d74c25d3f17ae699b3d6ef Mon Sep 17 00:00:00 2001
From: Michael R Sweet <msweet@msweet.org>
Date: Tue, 9 Jun 2026 16:36:51 -0400
Subject: [PATCH] Increase supply name buffer by 1 byte (Issue #1604)

---
 backend/snmp-supplies.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

--- a/backend/snmp-supplies.c
+++ b/backend/snmp-supplies.c
@@ -46,7 +46,7 @@
 
 typedef struct				/**** Printer supply data ****/
 {
-  char	name[CUPS_SNMP_MAX_STRING],	/* Name of supply */
+  char	name[CUPS_SNMP_MAX_STRING + 1],	/* Name of supply */
 	color[8];			/* Color: "#RRGGBB" or "none" */
   int	colorant,			/* Colorant index */
 	sclass,				/* Supply class */
